@charset "UTF-8";
body {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

footer {
  margin-top: auto;
  padding: 12px 0;
}

body.shinsabg {
  background: #efffec;
}

table.border-gray {
  border-color: var(--bs-gray-500);
}

table.widthinit {
  width: initial;
}

.form-control.is-invalid {
  padding-right: 0.75rem;
  background-image: initial;
}

select.form-select.is-invalid {
  padding: .375rem 2.25rem .375rem .75rem!important;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e")!important;
}

.navbarlogoimg {
  width: 53px;
  height: 53px;
}

.anonymousnavbarlogoimg {
  width: 200px;
  height: 46px;
}

.iconmargin {
  margin-bottom: 4px;
  margin-right: 2px;
}

.btnWidth {
  min-width: 160px;
  max-width: 240px;
}

div.confirmationMessage {
  min-height: 150px;
  padding: 0 4px;
}

td.width1em {
  width: 1em;
}

td.width2em {
  width: 2em;
}

td.width3em {
  width: 3em;
}

td.width5em {
  width: 5em;
}

td.width10em {
  width: 10em;
}

td.widthauto {
  width: auto;
}

.p-12px {
  padding: 12px;
}

span.bg01 {
  border: 0;
  margin-left: 0;
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-light-rgb),var(--bs-bg-opacity));
}

input.migi {
  text-align: right;
}

input.hankaku2 {
  max-width: 3rem;
}

input.hankaku3 {
  max-width: 4rem;
}

input.hankaku4 {
  max-width: 4rem;
}

input.hankaku5 {
  max-width: 5rem;
}

input.hankaku6 {
  max-width: 6rem;
}

input.hankaku8 {
  max-width: 8rem;
}

input.hankaku9 {
  max-width: 9rem;
}

input.hankaku10 {
  max-width: 10rem;
}

input.hankaku11 {
  max-width: 11rem;
}

input.hankaku12 {
  max-width: 12rem;
}

input.hankaku13 {
  max-width: 13rem;
}

input.hankaku15 {
  max-width: 15rem;
}

input.hankaku16 {
  max-width: 16rem;
}

input.hankaku17 {
  max-width: 17rem;
}

input.hankaku20 {
  max-width: 20rem;
}

input.zenkaku6 {
  max-width: 8.5rem;
}

input.zenkaku10 {
  max-width: 14.5rem;
}

input.zenkaku12 {
  max-width: 16rem;
}

input.zenkaku15 {
  max-width: 20rem;
}

input.zenkaku20 {
  max-width: 25rem;
}

input.zenkaku30 {
  max-width: 35rem;
}

input.zenkaku40 {
  max-width: 670px;
}

input.zenkaku60 {
  max-width: 850px;
}

.tooltip-large div {
  max-width: 300px;
}

.tooltip-extralarge div {
  max-width: 400px;
}

.tooltip-align-left div {
  text-align: left;
}

body .input-group-text {
  background-color: inherit;
  border: 0;
}
